Mailinglist Archive: opensuse-buildservice (295 mails)

< Previous Next >
Re: [opensuse-buildservice] update-alternatives: No such file or directory
  • From: Michael Schroeder <mls@xxxxxxx>
  • Date: Fri, 2 Mar 2007 12:15:49 +0100
  • Message-id: <20070302111549.GB4419@xxxxxxx>
On Fri, Mar 02, 2007 at 03:58:31AM +0100, Marcus Rueckert wrote:
> On 2007-03-01 23:01:58 +0100, andreas.hanke@xxxxxxxxxxxxxx wrote:
> > > Add update-alternatives to BuildRequires: in your spec file.
> >
> > Should this really be necessary? antlr already has a dependency on
> > /usr/sbin/update-alternatives.
> >
> > If antlr is in BuildRequires and /usr/sbin/update-alternatives in the
> > Requires of antlr, shouldn't it work even without a direct
> > BuildRequires on update-alternatives?
>
> it would need to be a PreReq to work

Not really, Requires and PreReqs are treated pretty much the
same by rpm (and also by libzypp).

Cheers,
Michael.

--
Michael Schroeder mls@xxxxxxx
main(_){while(_=~getchar())putchar(~_-1/(~(_|32)/13*2-11)*13);}
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >